Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.binary
Class StructParser.EnumSpecifier

    java.lang.Object
      org.monte.media.binary.StructParser.EnumSpecifier

Enclosing class:
  StructParser

    protected static class StructParser.EnumSpecifier

extends java.lang.Object

EnumSpecifier expression.

     EnumSpecifier ::= "enum" ( identifier | "{" identifier ["=" intLiteral] {"," identifier ["=" intLiteral]} "}" )

Field Summary
`java.lang.String` | `identifier`
`boolean` | `isMagicEnum`
`java.util.Hashtable` | `members`

Constructor Summary
`StructParser.EnumSpecifier(StreamPosTokenizer scanner)`

Method Summary
`java.lang.String` | `toEnumString(int value, StructParser.Declarations declarations)`
`java.lang.String` | `toEnumString(java.lang.String value, StructParser.Declarations declarations)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### members

    public java.util.Hashtable members

### identifier

    public java.lang.String identifier

### isMagicEnum

    public boolean isMagicEnum

Constructor Detail

### StructParser.EnumSpecifier

    public StructParser.EnumSpecifier(StreamPosTokenizer scanner)
                               throws java.io.IOException,
                                      ParseException

Throws:
  `java.io.IOException`
  `ParseException`

Method Detail

### toEnumString

    public java.lang.String toEnumString(int value,
                                         StructParser.Declarations declarations)

### toEnumString

    public java.lang.String toEnumString(java.lang.String value,
                                         StructParser.Declarations declarations)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD